# Class: Signature

## Signature(packetlist)

Class that represents an OpenPGP signature.

## Constructor

#### new Signature(packetlist)

##### Parameters:

Name | Type | Description
--- | --- | ---
`packetlist` | PacketList | The signature packets

Source:
  - signature.js, line 30

### Classes

Signature

### Methods

#### armor(configopt) → {ReadableStream.<String>}

Returns ASCII armored text of signature

##### Parameters:

Name | Type | Attributes | Description
--- | --- | --- | ---
`config` | Object | <optional> | Full configuration, defaults to openpgp.config

Source:
  - signature.js, line 51

##### Returns:

ASCII armor.

Type
  ReadableStream.<String>

#### getSigningKeyIDs() → {Array.<KeyID>}

Returns an array of KeyIDs of all of the issuers who created this signature

Source:
  - signature.js, line 59

##### Returns:

The Key IDs of the signing keys

Type
  Array.<KeyID>

#### write() → {ReadableStream.<Uint8Array>}

Returns binary encoded signature

Source:
  - signature.js, line 42

##### Returns:

Binary signature.

Type
  ReadableStream.<Uint8Array>